QGIS Application - Bug report #16562
Performance with Oracle datasets
2017-05-17 09:56 AM - Niels Kjaer

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.18.0 Regression?: No

Operating System: Windows 7 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24464
Description

Retrieving, rendering and querying/filtering data from our Oracle databases takes a lot longer than using PostGIS databases.

Our DBAs have investigated the matter and finds the performance to be 10-50 times slower.

Using for example Geomedia as GIS application does not show the same issues, and the Oracle database is not the bottleneck (this has
been tested, and both Oracle and PostGIS servers are on the same network, with Oracle on faster hardware).

We believe this could be down to the implementation of how QGIS handles Oracle connections.
If this is indeed the case, and an improvement is more of a feature request we would be happy to discuss sponsoring the development in
some way.

We are using Oracle 12C, PostGIS 2.3 on Postgresgl 9.5/9.6 and QGIS 2.18.x
Kind regards

Niels
- The Danish Geodata Agency

History

#1 - 2017-05-17 01:30 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please raise this matter (as also your willingly to support improvements in this area) in the developers mailing list, here is unlikely it will get the traction it

deserves.

#2 - 2017-06-11 09:15 AM - Jiirgen Fischer

See also https:/lists.osgeo.org/pipermail/qgis-developer/2017-May/048512.html

#3 - 2017-06-12 11:09 AM - Giovanni Manghi

it is usual in this cases the interested entity to take contact with one of the company that provide QGIS support and development, as listed on the qgis web
site, maybe in this case you prefer the qgis project to make contact with you?

#4 - 2017-06-12 12:23 PM - Juirgen Fischer

Giovanni Manghi wrote:
https://lists.osgeo.org/pipermail/qgis-developer/2017-May/048512.html

it is usual in this cases the interested entity to take contact with one of the company that provide QGIS support and development, as listed on the

qgis web site, maybe in this case you prefer the qgis project to make contact with you?

Giving details/feedback would be an option too.

#5 - 2017-09-08 01:35 PM - Jiirgen Fischer

- Assignee deleted (Jirgen Fischer)

#6 - 2017-09-25 04:46 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
